// Hardware Timer sketch 1: Blink red every other second, with high
// accuracy.

// We use ledToggle in a timer handler function.  Note that hardware
// timer handler functions are called with interrupts disabled!  We
// must be careful what we do, and be quick about it!
void myTimerHandler() {        
  ledToggle(BODY_RGB_RED_PIN);
}

void setup() {
  Timer1.begin();        // The default parameters to begin() are fine
  Timer1.setLapHandler(myTimerHandler);  // Register a per-lap handler
  Timer1.start();                        // And start the timer
}

void loop() { 
  /* Nothing to do */
}
